#
# Conditional build:
%bcond_without	tests	# regression tests

Summary:	Convert meta-language to openttd's grf and/or nfo files
Summary(pl.UTF-8):	Konwersja meta-języka do plików grf i/lub nfo dla openttd
Name:		nml
Version:	0.7.6
Release:	4
License:	GPL v2
Group:		Applications
Source0:	https://github.com/OpenTTD/nml/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	fd26c9d416f3ceaa481fa293c190520b
URL:		https://dev.openttdcoop.org/projects/nml
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-pillow >= 3.4
BuildRequires:	python3-ply
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A tool to convert a meta-language to grf and/or nfo files, making
newgrf coding easier.

%description -l pl.UTF_8
Narzędzie do konwersji meta-języka do plików grf i/lub nfo, dzięki
czemu kodowanie newgrf staje się prostsze.

%prep
%setup -q

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(echo $(pwd)/build-3/lib.*) \
%{__make} -C regression -j1
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

install -D docs/nmlc.1 $RPM_BUILD_ROOT%{_mandir}/man1/nmlc.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md docs/changelog.txt docs/index.html
%attr(755,root,root) %{_bindir}/nmlc
%{_mandir}/man1/nmlc.1*
%attr(755,root,root) %{py3_sitedir}/nml_lz77.cpython-*.so
%{py3_sitedir}/nml
%{py3_sitedir}/nml-%{version}-py*.egg-info
%changelog
* Sat Apr 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nml.git;a=log;h=master

* Sat Apr 19 2025 Jakub Bogusz <qboosh@pld-linux.org> afbcb34
- release 4 (python 3.13)

* Sat Apr 19 2025 Jakub Bogusz <qboosh@pld-linux.org> de55383
- non-parallel tests

* Sat Apr 19 2025 Jakub Bogusz <qboosh@pld-linux.org> 4e22263
- cleaned up build/install process

* Fri Apr 18 2025 Jakub Bogusz <qboosh@pld-linux.org> ce19648
- pl

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 7884c7a
- Release 3 (by relup.sh)

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> d52974b
- python 3.13 rebuild

* Sun Feb 16 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3dbfa35
- up to 0.7.6

* Sat Apr 13 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c7a8037
- up to 0.7.5

* Sun Jul 02 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 316276a
- up to 0.7.4

* Mon May 22 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d5e1fa8
- up to 0.7.3

* Tue Apr 18 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f385b1f
- up to 0.7.2

* Sun Sep 11 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8689e9b
- up to 0.7.0

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 033ea66
- Release 3 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> ca90b3a
- rebuild with python 3.10

* Mon Oct 18 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c049de5
- up to 0.6.1

* Thu Aug 19 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 31a1eee
- up to 0.6.0

* Sun May 16 2021 Jan Rękorajski <baggins@pld-linux.org> 77c2f9a
- disable parallel build, breaks tests

* Sat May 15 2021 Jan Rękorajski <baggins@pld-linux.org> 517bd54
- add source md5 sums

* Sat May 01 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 91d8da5
- up to 0.5.3

* Tue Apr 08 2014 Jacek Konieczny <jajcus@jajcus.net> 2cf4ae7
- Version: 0.2.4

